summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorshylesh <shmohan@redhat.com>2012-02-01 11:50:55 +0530
committershylesh <shmohan@redhat.com>2012-02-01 11:52:45 +0530
commite6067513d0a40a4d540c4a5b8eff4af8cabbd4c7 (patch)
tree6c4d67f5cb84dbdb700b9201d001799d66b8afd7
parenta32a1ccccc48cb33b20a6ba8383c3db653ca4e6e (diff)
BUG:765293-Rebalance shouldn't start for non-distribute
Change-Id: I915aeb645ee5dfe89656508589b5c8200603a8aa BUG: 765293 Signed-off-by: shylesh <shmohan@redhat.com>
-rwxr-xr-xdvm/765293/testcase19
1 files changed, 19 insertions, 0 deletions
diff --git a/dvm/765293/testcase b/dvm/765293/testcase
new file mode 100755
index 0000000..d1ccb5c
--- /dev/null
+++ b/dvm/765293/testcase
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+source $cwd/regression_helpers
+
+$GLUSTERFSDIR/gluster volume create $global_bug_id $(hostname):$EXPORT_DIR/$global_bug_id/brick1 2>/dev/null 1>/dev/null
+ret=$?
+
+if [ $ret -ne 0 ]; then
+ exit 1
+fi
+
+$GLUSTERFSDIR/gluster volume start $global_bug_id 2>/dev/null 1>/dev/null
+sleep 5
+
+$GLUSTERFSDIR/gluster volume rebalance $global_bug_id start |tr '\n' ' ' \
+|grep 'Volume '"$global_bug_id"' is not a distribute volume
+ or contains only 1 brick. Not performing rebalance'2>/dev/null 1>/dev/null
+
+exit $?